Get a terminal application beta

Fetch a specific terminal application.

To access this endpoint using an access token you'll need to specify the /terminal-applications.read scope.

GET
/terminal-applications/{terminalApplicationID}
cURL Go Java .NET Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/terminal-applications/{terminalApplicationID}" \
  -H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()

var terminalApplicationID string

mc.GetTerminalApplication(ctx, terminalApplicationID)
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTerminalApplicationResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        GetTerminalApplicationResponse res = sdk.terminalApplications().get()
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .call();

        if (res.terminalApplication().isPresent()) {
            // handle response
        }
    }
}
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.TerminalApplications.GetAsync(terminalApplicationID: "12345678-1234-1234-1234-123456789012");

// handle response
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.terminal_applications.get(terminal_application_id: '12345678-1234-1234-1234-123456789012')

unless res.terminal_application.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.get({
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->terminalApplications->get(
    terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);

if ($response->terminalApplication !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.terminal_applications.get(terminal_application_id="12345678-1234-1234-1234-123456789012")

    # Handle response
    print(res)
200 401 403 404 429 500 504
The request completed successfully.
application/json
{
  "packageName": "com.example.app",
  "platform": "android",
  "sha256Digest": "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
  "status": "pending",
  "terminalApplicationID": "12345678-1234-1234-1234-123456789012",
  "versionCode": "20332277"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

terminalApplicationID

string required

Response

application/json
Describes a terminal application.

platform

string<enum> required
Platform of the terminal application.
Possible values: undefined, ios, android

status

string<enum> required
Status of the terminal application.
Possible values: undefined, pending, enabled, disabled

terminalApplicationID

string required
ID of the terminal application.

appBundleID

string
The app bundle identifier of the terminal application. Will be returned if platform is ios.

packageName

string Pattern
The app package name of the terminal application. Will be returned if platform is android.

sha256Digest

string
A cryptographic hash of the signing key for the application. Will be returned if platform is android.

versionCode

string
The app version code of the terminal application. Will be returned if platform is android.